Bug 500187 - boggle exits with "too many words!" message
Summary: boggle exits with "too many words!" message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bsd-games
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Wart
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-11 15:06 UTC by Kriton Kyrimis
Modified: 2010-01-26 01:06 UTC (History)
1 user (show)

Fixed In Version: 2.17-28.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-26 01:01:29 UTC


Attachments (Terms of Use)

Description Kriton Kyrimis 2009-05-11 15:06:38 UTC
Description of problem: if there is a large number of possible words in the current game, then, when the game is over, boggle exits with the error message "too many words!"


Version-Release number of selected component (if applicable): bsd-games-2.17-25.fc10


How reproducible: play a game for which there are many possible words


Steps to Reproduce:
1. Type "boggle etaoinshdrluetao" at the shell
2. Hit space to start the game
3. Hit control-D to finish the game
  
Actual results: "boggle: too many words!". Program exits


Expected results: A list of the possible words in the current game should be displayed.


Additional info: This does not happen if the number of possible words is small. E.g., "boggle aaaaaaaaaaaaaaaa" works.

Comment 1 Bug Zapper 2009-11-18 11:56:22 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Kriton Kyrimis 2009-11-19 05:52:49 UTC
Bug is still present in Fedora 12.

Comment 3 Fedora Update System 2010-01-12 23:39:31 UTC
bsd-games-2.17-29.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bsd-games'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0434

Comment 4 Fedora Update System 2010-01-12 23:43:28 UTC
bsd-games-2.17-28.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bsd-games'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0452

Comment 5 Fedora Update System 2010-01-26 01:01:24 UTC
bsd-games-2.17-29.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-01-26 01:06:12 UTC
bsd-games-2.17-28.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.